LibreOffice: Writer Service Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
Writer Service Reference

`import"Writer.idl";`

Inheritance diagram for Writer:

## Additional Inherited Members
Exported Interfaces inherited from XWriter
interface | com::sun::star::io::XActiveDataSource
interface | com::sun::star::xml::sax::XExtendedDocumentHandler
Public Member Functions inherited from XActiveDataSource
void | setOutputStream ([in] com::sun::star::io::XOutputStream aStream)
| plugs the output stream. More...
com::sun::star::io::XOutputStream | getOutputStream ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XExtendedDocumentHandler
void | startCDATA () raises ( com::sun::star::xml::sax::SAXException )
| receives notification about the start of a CDATA section in the XML-source. More...
void | endCDATA () raises ( com::sun::star::xml::sax::SAXException )
| informs about the end of a CDATA-Section. More...
void | comment ([in] string sComment) raises ( com::sun::star::xml::sax::SAXException )
| receives notification about a comment in the XML-source. More...
void | allowLineBreak () raises ( com::sun::star::xml::sax::SAXException )
| informs a writer that it is allowable to insert a line break and indentation before the next XDocumentHandler-call. More...
void | unknown ([in] string sString) raises ( com::sun::star::xml::sax::SAXException )
| notifies that any characters that cannot be handled by other callback methods are announced through this method. More...
Public Member Functions inherited from XDocumentHandler
void | startDocument () raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of a document. More...
void | endDocument () raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of a document. More...
void | startElement ([in] string aName, [in] com::sun::star::xml::sax::XAttributeList xAttribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an element . More...
void | endElement ([in] string aName) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of an element. More...
void | characters ([in] string aChars) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of character data. More...
void | ignorableWhitespace ([in] string aWhitespaces) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of white space that can be ignored. More...
void | processingInstruction ([in] string aTarget, [in] string aData) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of a processing instruction. More...
void | setDocumentLocator ([in] com::sun::star::xml::sax::XLocator xLocator) raises ( com::sun::star::xml::sax::SAXException )
| receives an object for locating the origin of SAX document events. More...

## Detailed Description

Since
  LibreOffice 4.0

The documentation for this service was generated from the following file:

- com/sun/star/xml/sax/Writer.idl